<template>
  <form @submit.prevent>
          <h4 style="margin-top: 15px; font-size:25px">Inicialicing productitem</h4>
<!--    <my-input-productitem type="text" style="color:#FF0000" v-model="productitem.productsite_id" placeholder="productsite_id"/>-->
    <select style="margin-top: 15px; padding-top: 10px; padding-bottom: 10px;" class="box" v-model="productitem.productitem_name">
      <option disabled value="">Select productitem_name</option>
      <option>Torasemide</option>
      <option>Pankreatine</option>
      <option>Vinpochetine</option>
      <option>Fluconazole</option>
      <option>capA</option>
    </select>
          <my-input-productitem
          v-model="productitem.productitem_batch"
          type="text"
          placeholder="productitem_batch (for ex 010122)"/>
          <select style="margin-top: 15px; padding-top: 10px; padding-bottom: 10px;" class="box" v-model="productitem.productitem_shift">
          <option disabled value="">Select productitem_shift</option>
          <option>1</option>
          <option>2</option>
          <option>3</option>
          </select>
          <h4 style="margin-top: 15px; padding-top: 10px; padding-bottom: 10px;">It's planned that productitem should be produced these dates</h4>
          <my-input-productitem
          v-model="productitem.productitem_date"
          type="date"
          placeholder="date"/>
          <my-button
          style="align-self: flex-end; margin-top: 15px"
          @click="checkAddForm"
          >Validate</my-button>
          <my-input-productitem
          v-model="productitem.dayString"
          type="text"
          placeholder="press 'Validate', WEEKDAY will be filled automatically"/>
          <select style="margin-top: 15px; padding-top: 10px; padding-bottom: 10px;" class="box" v-model="productitem.productitem_type_sanitary">
          <option disabled value="">Type of sanitary preparation planned after the batch</option>
          <option>Default</option>
          <option>General</option>
          </select>
          <my-button
          style="align-self: flex-end; margin-top: 15px"
          @click="createProductitem"
          >ADD</my-button>
  </form>
</template>


<script>
import axios from 'axios';

export default {
  data() {
    return {
      productitem: {
        productsite_id: this.$route.params.productsite_id,
        productitem_name: '',
        productitem_batch: '',
        productitem_shift: '',
        productitem_date: '',
        productitem_checked: '',
        productitem_type_sanitary: '',
        dayString: '',
      },
      day: '',
      weekday: ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'],
    }
  },
  methods: {
    checkAddForm: function (e) {
      this.errors = [];
      if (this.productitem.productsite_id !== 1) {
        this.errors.push('productsite_id required');
        e.preventDefault();
      }
      const d = new Date(this.productitem.productitem_date);
      this.dayNumber = d.getDay();
      this.productitem.dayString = this.weekday[this.dayNumber]
    },
    async createProductitem() {
      this.$emit('create', this.productitem)
      await axios.post(`http://127.0.0.1:5000/pharm/productitems/add`,
          {
            productitem_name: this.productitem.productitem_name,
            productsite_id: this.productitem.productsite_id,
            productitem_batch: this.productitem.productitem_batch,
            productitem_shift: this.productitem.productitem_shift,
            productitem_date: this.productitem.productitem_date,
            dayString: this.productitem.dayString,
            productitem_type_sanitary: this.productitem.productitem_type_sanitary,
          })
      this.productitem = {
        productitem_name: '',
        productsite_id: '',
        productitem_batch: '',
        productitem_shift: '',
        productitem_date: '',
        dayString: '',
        productitem_type_sanitary: ''
      }
    },
  },
}
</script>


<style scoped>
form {
  display: flex;
  flex-direction: column;
}
</style>